summaryrefslogtreecommitdiff
path: root/audio/lsmi/lsmi.SlackBuild
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2013-06-03 16:24:41 -0500
committerRobby Workman <rworkman@slackbuilds.org>2013-06-04 00:11:32 -0500
commitbf4ab6962d0aa471d1906c66041b0f45f8e0391f (patch)
treef7ec7d93c1294fa446a8456628c02024e2184e21 /audio/lsmi/lsmi.SlackBuild
parent995fe8e3c439e833c80c41a8fd0ccbcb582d6db5 (diff)
downloadslackbuilds-bf4ab6962d0aa471d1906c66041b0f45f8e0391f.tar.gz
audio/lsmi: Added (map device input to ALSA MIDI sequencer events)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio/lsmi/lsmi.SlackBuild')
-rw-r--r--audio/lsmi/lsmi.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/audio/lsmi/lsmi.SlackBuild b/audio/lsmi/lsmi.SlackBuild
new file mode 100644
index 0000000000..9bd4a8ba15
--- /dev/null
+++ b/audio/lsmi/lsmi.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for lsmi
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=lsmi
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/bin $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# all this seddery could have been done with a diff, I just felt like
+# using sed today for some reason.
+
+# use our flags and install to our directory.
+sed -i \
+ -e "s/-g/$SLKCFLAGS/" \
+ -e "s,/usr/local/bin,$PKG/usr/bin," \
+ -e "s,install ,install -s -m0755 ," \
+ Makefile
+
+# fix typo in --help output
+sed -i 's/thrree/three/' lsmi-mouse.c
+
+# make keyhack's --help actually work
+sed -i 's/fprintf.*Help.*/usage();/' lsmi-keyhack.c
+
+# fix possible segfault
+sed -i 's/\(char *prog_buf\)\[4\]/\1[5]/' lsmi-keyhack.c
+
+# As shipped, only lsmi-monterey supports POSIX realtime scheduling. This
+# patch (by the SlackBuild author) adds the -R option to the other lsmi-*
+# binaries.
+patch -p1 < $CWD/rtprio.diff
+
+make
+make install
+
+# man pages came from the Musix project:
+# ftp://musix.ourproject.org/pub/musix/deb/lsmi_0.1-1_i386.deb
+# Modified a bit: fixed a typo, rewrote section
+# about realtime scheduling so it applies to Slackware.
+mkdir -p $PKG/usr/man/man1
+cd $CWD/man
+for i in *; do
+ gzip -9c < $i > $PKG/usr/man/man1/$i.gz
+done
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ cat $CWD/setcap.sh >> $PKG/install/doinst.sh
+ for i in lsmi-joystick lsmi-keyhack lsmi-monterey lsmi-mouse; do
+ chown root:audio $PKG/usr/bin/$i
+ chmod 0750 $PKG/usr/bin/$i
+ done
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}